# Create user token

Verifies that a user exists in the game and creates a user token.

Endpoint: POST /v2/project/{project_id}/distribution_hub/user/auth
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID.
    Example: 44056

## Request fields (application/json):

  - `user` (object, required)

  - `user.id` (string,null)
    Unique user identifier in the game.
    Example: "public_id"

  - `user.email` (string, required)
    The user's email address where he can receive the purchased game key.
    Example: "public_email@test.com"

  - `user.ip` (string,null)
    The user's IP address.
    Example: "127.0.0.1"

  - `user.phone` (string,null)
    The user's phone number.
    Example: "+66-000-000-00-00"

  - `user.name` (string,null)
    The user's public name.
    Example: "Public name"

  - `user.country` (string,null)
    Two-letter uppercase country code per [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
    Example: "US"

## Response 200 fields (application/json):

  - `token` (string)
    User token.


